Bug 54045 - kernel-enterprise doesn't update symlinks in /boot
Summary: kernel-enterprise doesn't update symlinks in /boot
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-26 15:59 UTC by John Dalbec
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:09:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Dalbec 2001-09-26 15:59:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:
The kernel-enterprise postinstall script doesn't update the module-info, System.map, and vmlinuz symlinks in /boot after installation.
The normal kernel package does this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install kernel-enterprise RPM.
2.ls -l /boot
3.
	

Actual Results:  Symlinks still point to previous kernel version.

Expected Results:  Symlinks should be updated to point to new kernel version.

Additional info:

More of a random question, really:  is there any reason not to have an 'initrd' symlink on systems with an initrd?

Comment 1 Arjan van de Ven 2001-09-26 16:03:40 UTC
I'd argue that this is a bug in the normal package; these symlinks are made at
boot time to point to the currently running kernel; all tools expect those files
to point to the RUNNING kernel...

a symlink to the initrd isn't useful (at least I never found any good use for
it; if you know of any I'm curious ;)

Comment 2 John Dalbec 2001-09-26 16:56:37 UTC
I can see why System.map needs to match the running kernel.  What uses module-info? depmod?  

I always understood the vmlinuz symlink to be a convenience so you didn't have to keep changing lilo.conf every time you upgraded the kernel.  I 
suggested an initrd symlink in the same spirit.  Is there another reason for vmlinuz?


Note You need to log in before you can comment on or make changes to this bug.